feat: chezmoi

Signed-off-by: kjuulh <contact@kjuulh.io>
This commit is contained in:
Kasper Juul Hermansen 2023-07-24 12:31:59 +02:00
parent 901d0e9c04
commit 9cedfd61f6
Signed by: kjuulh
GPG Key ID: 57B6E1465221F912
274 changed files with 9710 additions and 0 deletions

3
chezmoi.toml Normal file
View File

@ -0,0 +1,3 @@
[git]
autoCommit = true
autoPush = true

View File

@ -0,0 +1,36 @@
root = "."
testdata_dir = "testdata"
tmp_dir = "tmp"
[build]
bin = "./tmp/main"
cmd = "go build -o ./tmp/main cmd/main.go"
delay = 1000
exclude_dir = ["assets", "tmp", "vendor", "testdata"]
exclude_file = []
exclude_regex = ["_test.go"]
exclude_unchanged = false
follow_symlink = false
full_bin = ""
include_dir = []
include_ext = ["go", "tpl", "tmpl", "html"]
kill_delay = "0s"
log = "build-errors.log"
send_interrupt = false
stop_on_error = true
[color]
app = ""
build = "yellow"
main = "magenta"
runner = "green"
watcher = "cyan"
[log]
time = false
[misc]
clean_on_exit = false
[screen]
clear_on_rebuild = false

View File

@ -0,0 +1,6 @@
theme = "dracula"
[editor]
line-number = "relative"
mouse = false

View File

@ -0,0 +1 @@
/Users/kah/runtime

View File

@ -0,0 +1,8 @@
# Contributing to kitty-themes
We always welcome your pull request! To start contributing follow these simple
steps:
1. Fork the repo and create your branch from `master`;
2. Add your theme as config file under `themes` directory;
3. Issue the pull request through github;

View File

@ -0,0 +1,21 @@
MIT License
Copyright (c) 2019 Fabrizio Destro <fabrizio@destro.dev>
Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:
The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.

View File

@ -0,0 +1,465 @@
[iterm2-themes]: https://github.com/mbadolato/iTerm2-Color-Schemes
[color-scripts]: https://github.com/stark/Color-Scripts/tree/master/color-scripts
[license]: https://opensource.org/licenses/MIT
[license-badge]: https://img.shields.io/github/license/dexpota/kitty-themes.svg?style=for-the-badge
[kitty-themes-previews]: https://github.com/dexpota/kitty-themes-website/tree/master/previews
![kitty-themes](./.github/kitty-themes.jpg)
> **Personalize** your *kitty* terminal and choose your theme from this awesome
> collection, for more information on the terminal visit
> https://github.com/kovidgoyal/kitty
[![License: MIT][license-badge]][license]
[![All Contributors](https://img.shields.io/badge/all_contributors-9-green.svg?style=for-the-badge)](#contributors)
- [About](#about)
- [Installation](#installation)
- [Source Code](#source-code)
- [Conda](#conda)
- [License](#license)
- [Bring me to the previews!](#previews)
- [Contributors](#contributors)
## About
In this repository you can find a set of themes to personalize your kitty
terminal, these have been ported from [iTerm2-Color-Schemes][iterm2-themes]. You can find
the previews for each theme in the [section](#previews) below or in this other
[repository](kitty-themes-previews).
## Installation
### Source Code
1. If you want to download and use one of these theme you have two options:
- clone the entire *kitty-themes* repository:
```bash
git clone --depth 1 https://github.com/dexpota/kitty-themes.git ~/.config/kitty/kitty-themes
```
- or download just one theme:
```bash
THEME=https://raw.githubusercontent.com/dexpota/kitty-themes/master/themes/3024_Day.conf
wget "$THEME" -P ~/.config/kitty/kitty-themes/themes
```
2. Choose a theme and create a symlink:
```bash
cd ~/.config/kitty
ln -s ./kitty-themes/themes/Floraverse.conf ~/.config/kitty/theme.conf
```
3. Add this line to your kitty.conf configuration file:
```
include ./theme.conf
```
### Conda
If you using the ``conda`` package manager, you may also install these themes
with the following command:
```bash
conda install -c conda-forge kitty-themes
```
## License
All original content of this repository is licensed with the [MIT
License](./LICENSE.md). Whenever possible the author of the theme is cited
inside each theme configuration file, together with its license. Hit me up if
you find your theme inside this repository and you want a proper citation.
## Previews
If you have followed the [installation](#installation) instructions and cloned
the entire repo, you have two options to try a theme:
1. If you have enabled remote control in *kitty* you can run this command:
```bash
kitty @ set-colors -a "~/.config/kitty/kitty-themes/themes/AdventureTime.conf"
```
2. Otherwise you can start another instance of kitty and specify another config
file to read from, this will cause *kitty* to read both its normal config
file and the specified one:
```bash
kitty -o include="~/.config/kitty/kitty-themes/themes/AdventureTime.conf"
```
### Bonus
Try your new theme with one of the scripts in [Color-scripts][color-scripts] with this
one-liner (requires `jq`):
```bash
COLOR_SCRIPT_REPO=https://api.github.com/repos/stark/Color-Scripts/contents/color-scripts
wget -q -O - $(curl -s $COLOR_SCRIPT_REPO | jq '.[] | "\(.path) \(.download_url)"' -r | shuf -n1 | cut -d " " -f2) | bash
```
### 3024 Day
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/3024_Day/preview.png)
### 3024 Night
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/3024_Night/preview.png)
### AdventureTime
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/AdventureTime/preview.png)
### Afterglow
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Afterglow/preview.png)
### AlienBlood
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/AlienBlood/preview.png)
### Alucard
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Alucard/preview.png)
### Apprentice
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Apprentice/preview.png)
### Argonaut
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Argonaut/preview.png)
### Arthur
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Arthur/preview.png)
### AtelierSulphurpool
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/AtelierSulphurpool/preview.png)
### Atom
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Atom/preview.png)
### AtomOneLight
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/AtomOneLight/preview.png)
### ayu
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/ayu/preview.png)
### ayu light
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/ayu_light/preview.png)
### ayu mirage
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/ayu_mirage/preview.png)
### Batman
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Batman/preview.png)
### Belafonte Day
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Belafonte_Day/preview.png)
### Belafonte Night
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Belafonte_Night/preview.png)
### BirdsOfParadise
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/BirdsOfParadise/preview.png)
### Blazer
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Blazer/preview.png)
### Borland
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Borland/preview.png)
### Bright Lights
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Bright_Lights/preview.png)
### Broadcast
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Broadcast/preview.png)
### Brogrammer
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Brogrammer/preview.png)
### C64
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/C64/preview.png)
### Chalk
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Chalk/preview.png)
### Chalkboard
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Chalkboard/preview.png)
### Ciapre
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Ciapre/preview.png)
### CLRS
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/CLRS/preview.png)
### Cobalt2
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Cobalt2/preview.png)
### Cobalt Neon
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Cobalt_Neon/preview.png)
### CrayonPonyFish
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/CrayonPonyFish/preview.png)
### Dark Pastel
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Dark_Pastel/preview.png)
### Darkside
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Darkside/preview.png)
### Desert
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Desert/preview.png)
### DimmedMonokai
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/DimmedMonokai/preview.png)
### DotGov
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/DotGov/preview.png)
### Dracula
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Dracula/preview.png)
### Dumbledore
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Dumbledore/preview.png)
### Duotone Dark
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Duotone_Dark/preview.png)
### Earthsong
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Earthsong/preview.png)
### Elemental
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Elemental/preview.png)
### ENCOM
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/ENCOM/preview.png)
### Espresso
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Espresso/preview.png)
### Espresso Libre
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Espresso_Libre/preview.png)
### Fideloper
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Fideloper/preview.png)
### FishTank
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/FishTank/preview.png)
### Flat
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Flat/preview.png)
### Flatland
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Flatland/preview.png)
### Floraverse
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Floraverse/preview.png)
### FrontEndDelight
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/FrontEndDelight/preview.png)
### FunForrest
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/FunForrest/preview.png)
### Galaxy
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Galaxy/preview.png)
### Github
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Github/preview.png)
### Glacier
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Glacier/preview.png)
### GoaBase
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/GoaBase/preview.png)
### Grape
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Grape/preview.png)
### Grass
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Grass/preview.png)
### gruvbox dark
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/gruvbox_dark/preview.png)
### gruvbox light
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/gruvbox_light/preview.png)
### Hardcore
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Hardcore/preview.png)
### Harper
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Harper/preview.png)
### Highway
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Highway/preview.png)
### Hipster Green
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Hipster_Green/preview.png)
### Homebrew
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Homebrew/preview.png)
### Hurtado
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Hurtado/preview.png)
### Hybrid
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Hybrid/preview.png)
### IC Green PPL
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/IC_Green_PPL/preview.png)
### IC Orange PPL
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/IC_Orange_PPL/preview.png)
### idleToes
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/idleToes/preview.png)
### IR Black
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/IR_Black/preview.png)
### Jackie Brown
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Jackie_Brown/preview.png)
### Japanesque
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Japanesque/preview.png)
### Jellybeans
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Jellybeans/preview.png)
### JetBrains Darcula
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/JetBrains_Darcula/preview.png)
### Kibble
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Kibble/preview.png)
### Later This Evening
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Later_This_Evening/preview.png)
### Lavandula
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Lavandula/preview.png)
### LiquidCarbon
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/LiquidCarbon/preview.png)
### LiquidCarbonTransparent
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/LiquidCarbonTransparent/preview.png)
### LiquidCarbonTransparentInverse
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/LiquidCarbonTransparentInverse/preview.png)
### Man Page
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Man_Page/preview.png)
### Material
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Material/preview.png)
### MaterialDark
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/MaterialDark/preview.png)
### Mathias
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Mathias/preview.png)
### Medallion
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Medallion/preview.png)
### Misterioso
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Misterioso/preview.png)
### Molokai
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Molokai/preview.png)
### MonaLisa
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/MonaLisa/preview.png)
### Monokai Classic
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Monokai_Classic/preview.png)
### Monokai Pro
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Monokai_Pro/preview.png)
### Monokai Pro (Filter Machine)
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Monokai_Pro_(Filter_Machine)/preview.png)
### Monokai Pro (Filter Octagon)
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Monokai_Pro_(Filter_Octagon)/preview.png)
### Monokai Pro (Filter Ristretto)
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Monokai_Pro_(Filter_Ristretto)/preview.png)
### Monokai Pro (Filter Spectrum)
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Monokai_Pro_(Filter_Spectrum)/preview.png)
### Monokai Soda
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Monokai_Soda/preview.png)
### N0tch2k
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/N0tch2k/preview.png)
### Neopolitan
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Neopolitan/preview.png)
### Neutron
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Neutron/preview.png)
### NightLion v1
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/NightLion_v1/preview.png)
### NightLion v2
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/NightLion_v2/preview.png)
### Nova
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Nova/preview.png)
### Novel
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Novel/preview.png)
### Obsidian
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Obsidian/preview.png)
### Ocean
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Ocean/preview.png)
### OceanicMaterial
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/OceanicMaterial/preview.png)
### Ollie
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Ollie/preview.png)
### OneDark
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/OneDark/preview.png)
### Parasio Dark
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Parasio_Dark/preview.png)
### PaulMillr
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/PaulMillr/preview.png)
### PencilDark
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/PencilDark/preview.png)
### PencilLight
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/PencilLight/preview.png)
### Piatto Light
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Piatto_Light/preview.png)
### Pnevma
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Pnevma/preview.png)
### Pro
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Pro/preview.png)
### Red Alert
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Red_Alert/preview.png)
### Red Sands
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Red_Sands/preview.png)
### Relaxed Afterglow
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Relaxed_Afterglow/preview.png)
### Renault Style
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Renault_Style/preview.png)
### Renault Style Light
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Renault_Style_Light/preview.png)
### Rippedcasts
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Rippedcasts/preview.png)
### Royal
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Royal/preview.png)
### Seafoam Pastel
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Seafoam_Pastel/preview.png)
### SeaShells
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/SeaShells/preview.png)
### Seti
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Seti/preview.png)
### Shaman
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Shaman/preview.png)
### Slate
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Slate/preview.png)
### Smyck
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Smyck/preview.png)
### snazzy
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/snazzy/preview.png)
### SoftServer
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/SoftServer/preview.png)
### Solarized Darcula
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Solarized_Darcula/preview.png)
### Solarized Dark
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Solarized_Dark/preview.png)
### Solarized Dark Higher Contrast
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Solarized_Dark_Higher_Contrast/preview.png)
### Solarized Dark - Patched
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Solarized_Dark_-_Patched/preview.png)
### Solarized Light
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Solarized_Light/preview.png)
### Source Code X
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Source_Code_X/preview.png)
### Spacedust
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Spacedust/preview.png)
### SpaceGray
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/SpaceGray/preview.png)
### SpaceGray Eighties
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/SpaceGray_Eighties/preview.png)
### SpaceGray Eighties Dull
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/SpaceGray_Eighties_Dull/preview.png)
### Spiderman
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Spiderman/preview.png)
### Spring
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Spring/preview.png)
### Square
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Square/preview.png)
### Sundried
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Sundried/preview.png)
### Symfonic
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Symfonic/preview.png)
### Tango Dark
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Tango_Dark/preview.png)
### Tango Light
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Tango_Light/preview.png)
### Teerb
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Teerb/preview.png)
### Thayer Bright
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Thayer_Bright/preview.png)
### The Hulk
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/The_Hulk/preview.png)
### Tomorrow
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Tomorrow/preview.png)
### Tomorrow Night
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Tomorrow_Night/preview.png)
### Tomorrow Night Blue
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Tomorrow_Night_Blue/preview.png)
### Tomorrow Night Bright
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Tomorrow_Night_Bright/preview.png)
### Tomorrow Night Eighties
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Tomorrow_Night_Eighties/preview.png)
### ToyChest
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/ToyChest/preview.png)
### Treehouse
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Treehouse/preview.png)
### Twilight
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Twilight/preview.png)
### Ubuntu
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Ubuntu/preview.png)
### Urple
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Urple/preview.png)
### Vaughn
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Vaughn/preview.png)
### VibrantInk
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/VibrantInk/preview.png)
### WarmNeon
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/WarmNeon/preview.png)
### Wez
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Wez/preview.png)
### WildCherry
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/WildCherry/preview.png)
### Wombat
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Wombat/preview.png)
### Wryan
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Wryan/preview.png)
### Zenburn
![image](https://raw.githubusercontent.com/dexpota/kitty-themes-website/master/previews/Zenburn/preview.png)
## Contributors
Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):
<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore -->
<table>
<tr>
<td align="center"><a href="http://www.scopatz.com"><b>Anthony Scopatz</b></a><br /><a href="https://github.com/dexpota/kitty-themes/commits?author=scopatz" title="Documentation">📖</a></td>
<td align="center"><a href="https://rckt.cc"><b>RCKT</b></a><br /><a href="#theme-orangecoloured" title="New theme added to the collection">😻</a></td>
<td align="center"><a href="https://github.com/varmanishant"><b>varmanishant</b></a><br /><a href="#theme-varmanishant" title="New theme added to the collection">😻</a></td>
<td align="center"><a href="https://github.com/rlerdorf"><b>Rasmus Lerdorf</b></a><br /><a href="https://github.com/dexpota/kitty-themes/issues?q=author%3Arlerdorf" title="Bug reports">🐛</a> <a href="#ideas-rlerdorf" title="Ideas, Planning, & Feedback">🤔</a></td>
<td align="center"><a href="https://github.com/Luflosi"><b>Luflosi</b></a><br /><a href="#fix-Luflosi" title="Fixed a theme">🛠️</a> <a href="#question-Luflosi" title="Answering Questions">💬</a> <a href="https://github.com/dexpota/kitty-themes/commits?author=Luflosi" title="Documentation">📖</a></td>
<td align="center"><a href="https://holyday.me"><b>Connor Holyday</b></a><br /><a href="#fix-connorholyday" title="Fixed a theme">🛠️</a></td>
<td align="center"><a href="https://github.com/BlueDrink9"><b>BlueDrink9</b></a><br /><a href="https://github.com/dexpota/kitty-themes/issues?q=author%3ABlueDrink9" title="Bug reports">🐛</a></td>
</tr>
<tr>
<td align="center"><a href="https://github.com/brujoand"><b>Anders Brujordet</b></a><br /><a href="#theme-brujoand" title="New theme added to the collection">😻</a></td>
<td align="center"><a href="http://www.hackouts.com"><b>Rajesh Rajendran</b></a><br /><a href="#fix-rjshrjndrn" title="Fixed a theme">🛠️</a></td>
</tr>
</table>
<!-- ALL-CONTRIBUTORS-LIST:END -->
This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!

View File

@ -0,0 +1,111 @@
{
"files": [
"README.md"
],
"badgeTemplate": "[![All Contributors](https://img.shields.io/badge/all_contributors-<%= contributors.length %>-green.svg?style=for-the-badge)](#contributors)",
"contributorTemplate": "<a href=\"<%= contributor.profile %>\"><b><%= contributor.name %></b></a><br /><%= contributions %>",
"imageSize": 100,
"commit": false,
"contributors": [
{
"login": "scopatz",
"name": "Anthony Scopatz",
"avatar_url": "https://avatars2.githubusercontent.com/u/320553?v=4",
"profile": "http://www.scopatz.com",
"contributions": [
"doc"
]
},
{
"login": "orangecoloured",
"name": "RCKT",
"avatar_url": "https://avatars3.githubusercontent.com/u/3314891?v=4",
"profile": "https://rckt.cc",
"contributions": [
"theme"
]
},
{
"login": "varmanishant",
"name": "varmanishant",
"avatar_url": "https://avatars1.githubusercontent.com/u/4084912?v=4",
"profile": "https://github.com/varmanishant",
"contributions": [
"theme"
]
},
{
"login": "rlerdorf",
"name": "Rasmus Lerdorf",
"avatar_url": "https://avatars3.githubusercontent.com/u/54641?v=4",
"profile": "https://github.com/rlerdorf",
"contributions": [
"bug",
"ideas"
]
},
{
"login": "Luflosi",
"name": "Luflosi",
"avatar_url": "https://avatars1.githubusercontent.com/u/15217907?v=4",
"profile": "https://github.com/Luflosi",
"contributions": [
"fix",
"question",
"doc"
]
},
{
"login": "connorholyday",
"name": "Connor Holyday",
"avatar_url": "https://avatars1.githubusercontent.com/u/4559119?v=4",
"profile": "https://holyday.me",
"contributions": [
"fix"
]
},
{
"login": "BlueDrink9",
"name": "BlueDrink9",
"avatar_url": "https://avatars3.githubusercontent.com/u/26474254?v=4",
"profile": "https://github.com/BlueDrink9",
"contributions": [
"bug"
]
},
{
"login": "brujoand",
"name": "Anders Brujordet",
"avatar_url": "https://avatars1.githubusercontent.com/u/124421?v=4",
"profile": "https://github.com/brujoand",
"contributions": [
"theme"
]
},
{
"login": "rjshrjndrn",
"name": "Rajesh Rajendran",
"avatar_url": "https://avatars3.githubusercontent.com/u/2563385?v=4",
"profile": "http://www.hackouts.com",
"contributions": [
"fix"
]
}
],
"types": {
"theme": {
"symbol": "😻",
"description": "New theme added to the collection"
},
"fix": {
"symbol": "🛠️",
"description": "Fixed a theme"
}
},
"contributorsPerLine": 7,
"projectName": "kitty-themes",
"projectOwner": "dexpota",
"repoType": "github",
"repoHost": "https://github.com",
"commitConvention": "none"
}

View File

@ -0,0 +1 @@
ref: refs/heads/master

View File

@ -0,0 +1,13 @@
[core]
repositoryformatversion = 0
filemode = true
bare = false
logallrefupdates = true
ignorecase = true
precomposeunicode = true
[remote "origin"]
url = https://github.com/dexpota/kitty-themes.git
fetch = +refs/heads/master:refs/remotes/origin/master
[branch "master"]
remote = origin
merge = refs/heads/master

View File

@ -0,0 +1 @@
Unnamed repository; edit this file 'description' to name the repository.

View File

@ -0,0 +1,15 @@
#!/bin/sh
#
# An example hook script to check the commit log message taken by
# applypatch from an e-mail message.
#
# The hook should exit with non-zero status after issuing an
# appropriate message if it wants to stop the commit. The hook is
# allowed to edit the commit message file.
#
# To enable this hook, rename this file to "applypatch-msg".
. git-sh-setup
commitmsg="$(git rev-parse --git-path hooks/commit-msg)"
test -x "$commitmsg" && exec "$commitmsg" ${1+"$@"}
:

View File

@ -0,0 +1,24 @@
#!/bin/sh
#
# An example hook script to check the commit log message.
# Called by "git commit" with one argument, the name of the file
# that has the commit message. The hook should exit with non-zero
# status after issuing an appropriate message if it wants to stop the
# commit. The hook is allowed to edit the commit message file.
#
# To enable this hook, rename this file to "commit-msg".
# Uncomment the below to add a Signed-off-by line to the message.
# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
# hook is more suited to it.
#
# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
# This example catches duplicate Signed-off-by lines.
test "" = "$(grep '^Signed-off-by: ' "$1" |
sort | uniq -c | sed -e '/^[ ]*1[ ]/d')" || {
echo >&2 Duplicate Signed-off-by lines.
exit 1
}

View File

@ -0,0 +1,173 @@
#!/usr/bin/perl
use strict;
use warnings;
use IPC::Open2;
# An example hook script to integrate Watchman
# (https://facebook.github.io/watchman/) with git to speed up detecting
# new and modified files.
#
# The hook is passed a version (currently 2) and last update token
# formatted as a string and outputs to stdout a new update token and
# all files that have been modified since the update token. Paths must
# be relative to the root of the working tree and separated by a single NUL.
#
# To enable this hook, rename this file to "query-watchman" and set
# 'git config core.fsmonitor .git/hooks/query-watchman'
#
my ($version, $last_update_token) = @ARGV;
# Uncomment for debugging
# print STDERR "$0 $version $last_update_token\n";
# Check the hook interface version
if ($version ne 2) {
die "Unsupported query-fsmonitor hook version '$version'.\n" .
"Falling back to scanning...\n";
}
my $git_work_tree = get_working_dir();
my $retry = 1;
my $json_pkg;
eval {
require JSON::XS;
$json_pkg = "JSON::XS";
1;
} or do {
require JSON::PP;
$json_pkg = "JSON::PP";
};
launch_watchman();
sub launch_watchman {
my $o = watchman_query();
if (is_work_tree_watched($o)) {
output_result($o->{clock}, @{$o->{files}});
}
}
sub output_result {
my ($clockid, @files) = @_;
# Uncomment for debugging watchman output
# open (my $fh, ">", ".git/watchman-output.out");
# binmode $fh, ":utf8";
# print $fh "$clockid\n@files\n";
# close $fh;
binmode STDOUT, ":utf8";
print $clockid;
print "\0";
local $, = "\0";
print @files;
}
sub watchman_clock {
my $response = qx/watchman clock "$git_work_tree"/;
die "Failed to get clock id on '$git_work_tree'.\n" .
"Falling back to scanning...\n" if $? != 0;
return $json_pkg->new->utf8->decode($response);
}
sub watchman_query {
my $pid = open2(\*CHLD_OUT, \*CHLD_IN, 'watchman -j --no-pretty')
or die "open2() failed: $!\n" .
"Falling back to scanning...\n";
# In the query expression below we're asking for names of files that
# changed since $last_update_token but not from the .git folder.
#
# To accomplish this, we're using the "since" generator to use the
# recency index to select candidate nodes and "fields" to limit the
# output to file names only. Then we're using the "expression" term to
# further constrain the results.
if (substr($last_update_token, 0, 1) eq "c") {
$last_update_token = "\"$last_update_token\"";
}
my $query = <<" END";
["query", "$git_work_tree", {
"since": $last_update_token,
"fields": ["name"],
"expression": ["not", ["dirname", ".git"]]
}]
END
# Uncomment for debugging the watchman query
# open (my $fh, ">", ".git/watchman-query.json");
# print $fh $query;
# close $fh;
print CHLD_IN $query;
close CHLD_IN;
my $response = do {local $/; <CHLD_OUT>};
# Uncomment for debugging the watch response
# open ($fh, ">", ".git/watchman-response.json");
# print $fh $response;
# close $fh;
die "Watchman: command returned no output.\n" .
"Falling back to scanning...\n" if $response eq "";
die "Watchman: command returned invalid output: $response\n" .
"Falling back to scanning...\n" unless $response =~ /^\{/;
return $json_pkg->new->utf8->decode($response);
}
sub is_work_tree_watched {
my ($output) = @_;
my $error = $output->{error};
if ($retry > 0 and $error and $error =~ m/unable to resolve root .* directory (.*) is not watched/) {
$retry--;
my $response = qx/watchman watch "$git_work_tree"/;
die "Failed to make watchman watch '$git_work_tree'.\n" .
"Falling back to scanning...\n" if $? != 0;
$output = $json_pkg->new->utf8->decode($response);
$error = $output->{error};
die "Watchman: $error.\n" .
"Falling back to scanning...\n" if $error;
# Uncomment for debugging watchman output
# open (my $fh, ">", ".git/watchman-output.out");
# close $fh;
# Watchman will always return all files on the first query so
# return the fast "everything is dirty" flag to git and do the
# Watchman query just to get it over with now so we won't pay
# the cost in git to look up each individual file.
my $o = watchman_clock();
$error = $output->{error};
die "Watchman: $error.\n" .
"Falling back to scanning...\n" if $error;
output_result($o->{clock}, ("/"));
$last_update_token = $o->{clock};
eval { launch_watchman() };
return 0;
}
die "Watchman: $error.\n" .
"Falling back to scanning...\n" if $error;
return 1;
}
sub get_working_dir {
my $working_dir;
if ($^O =~ 'msys' || $^O =~ 'cygwin') {
$working_dir = Win32::GetCwd();
$working_dir =~ tr/\\/\//;
} else {
require Cwd;
$working_dir = Cwd::cwd();
}
return $working_dir;
}

View File

@ -0,0 +1,8 @@
#!/bin/sh
#
# An example hook script to prepare a packed repository for use over
# dumb transports.
#
# To enable this hook, rename this file to "post-update".
exec git update-server-info

View File

@ -0,0 +1,14 @@
#!/bin/sh
#
# An example hook script to verify what is about to be committed
# by applypatch from an e-mail message.
#
# The hook should exit with non-zero status after issuing an
# appropriate message if it wants to stop the commit.
#
# To enable this hook, rename this file to "pre-applypatch".
. git-sh-setup
precommit="$(git rev-parse --git-path hooks/pre-commit)"
test -x "$precommit" && exec "$precommit" ${1+"$@"}
:

View File

@ -0,0 +1,49 @@
#!/bin/sh
#
# An example hook script to verify what is about to be committed.
# Called by "git commit" with no arguments. The hook should
# exit with non-zero status after issuing an appropriate message if
# it wants to stop the commit.
#
# To enable this hook, rename this file to "pre-commit".
if git rev-parse --verify HEAD >/dev/null 2>&1
then
against=HEAD
else
# Initial commit: diff against an empty tree object
against=$(git hash-object -t tree /dev/null)
fi
# If you want to allow non-ASCII filenames set this variable to true.
allownonascii=$(git config --type=bool hooks.allownonascii)
# Redirect output to stderr.
exec 1>&2
# Cross platform projects tend to avoid non-ASCII filenames; prevent
# them from being added to the repository. We exploit the fact that the
# printable range starts at the space character and ends with tilde.
if [ "$allownonascii" != "true" ] &&
# Note that the use of brackets around a tr range is ok here, (it's
# even required, for portability to Solaris 10's /usr/bin/tr), since
# the square bracket bytes happen to fall in the designated range.
test $(git diff --cached --name-only --diff-filter=A -z $against |
LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
then
cat <<\EOF
Error: Attempt to add a non-ASCII file name.
This can cause problems if you want to work with people on other platforms.
To be portable it is advisable to rename the file.
If you know what you are doing you can disable this check using:
git config hooks.allownonascii true
EOF
exit 1
fi
# If there are whitespace errors, print the offending file names and fail.
exec git diff-index --check --cached $against --

View File

@ -0,0 +1,13 @@
#!/bin/sh
#
# An example hook script to verify what is about to be committed.
# Called by "git merge" with no arguments. The hook should
# exit with non-zero status after issuing an appropriate message to
# stderr if it wants to stop the merge commit.
#
# To enable this hook, rename this file to "pre-merge-commit".
. git-sh-setup
test -x "$GIT_DIR/hooks/pre-commit" &&
exec "$GIT_DIR/hooks/pre-commit"
:

View File

@ -0,0 +1,53 @@
#!/bin/sh
# An example hook script to verify what is about to be pushed. Called by "git
# push" after it has checked the remote status, but before anything has been
# pushed. If this script exits with a non-zero status nothing will be pushed.
#
# This hook is called with the following parameters:
#
# $1 -- Name of the remote to which the push is being done
# $2 -- URL to which the push is being done
#
# If pushing without using a named remote those arguments will be equal.
#
# Information about the commits which are being pushed is supplied as lines to
# the standard input in the form:
#
# <local ref> <local oid> <remote ref> <remote oid>
#
# This sample shows how to prevent push of commits where the log message starts
# with "WIP" (work in progress).
remote="$1"
url="$2"
zero=$(git hash-object --stdin </dev/null | tr '[0-9a-f]' '0')
while read local_ref local_oid remote_ref remote_oid
do
if test "$local_oid" = "$zero"
then
# Handle delete
:
else
if test "$remote_oid" = "$zero"
then
# New branch, examine all commits
range="$local_oid"
else
# Update to existing branch, examine new commits
range="$remote_oid..$local_oid"
fi
# Check for WIP commit
commit=$(git rev-list -n 1 --grep '^WIP' "$range")
if test -n "$commit"
then
echo >&2 "Found WIP commit in $local_ref, not pushing"
exit 1
fi
fi
done
exit 0

View File

@ -0,0 +1,169 @@
#!/bin/sh
#
# Copyright (c) 2006, 2008 Junio C Hamano
#
# The "pre-rebase" hook is run just before "git rebase" starts doing
# its job, and can prevent the command from running by exiting with
# non-zero status.
#
# The hook is called with the following parameters:
#
# $1 -- the upstream the series was forked from.
# $2 -- the branch being rebased (or empty when rebasing the current branch).
#
# This sample shows how to prevent topic branches that are already
# merged to 'next' branch from getting rebased, because allowing it
# would result in rebasing already published history.
publish=next
basebranch="$1"
if test "$#" = 2
then
topic="refs/heads/$2"
else
topic=`git symbolic-ref HEAD` ||
exit 0 ;# we do not interrupt rebasing detached HEAD
fi
case "$topic" in
refs/heads/??/*)
;;
*)
exit 0 ;# we do not interrupt others.
;;
esac
# Now we are dealing with a topic branch being rebased
# on top of master. Is it OK to rebase it?
# Does the topic really exist?
git show-ref -q "$topic" || {
echo >&2 "No such branch $topic"
exit 1
}
# Is topic fully merged to master?
not_in_master=`git rev-list --pretty=oneline ^master "$topic"`
if test -z "$not_in_master"
then
echo >&2 "$topic is fully merged to master; better remove it."
exit 1 ;# we could allow it, but there is no point.
fi
# Is topic ever merged to next? If so you should not be rebasing it.
only_next_1=`git rev-list ^master "^$topic" ${publish} | sort`
only_next_2=`git rev-list ^master ${publish} | sort`
if test "$only_next_1" = "$only_next_2"
then
not_in_topic=`git rev-list "^$topic" master`
if test -z "$not_in_topic"
then
echo >&2 "$topic is already up to date with master"
exit 1 ;# we could allow it, but there is no point.
else
exit 0
fi
else
not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"`
/usr/bin/perl -e '
my $topic = $ARGV[0];
my $msg = "* $topic has commits already merged to public branch:\n";
my (%not_in_next) = map {
/^([0-9a-f]+) /;
($1 => 1);
} split(/\n/, $ARGV[1]);
for my $elem (map {
/^([0-9a-f]+) (.*)$/;
[$1 => $2];
} split(/\n/, $ARGV[2])) {
if (!exists $not_in_next{$elem->[0]}) {
if ($msg) {
print STDERR $msg;
undef $msg;
}
print STDERR " $elem->[1]\n";
}
}
' "$topic" "$not_in_next" "$not_in_master"
exit 1
fi
<<\DOC_END
This sample hook safeguards topic branches that have been
published from being rewound.
The workflow assumed here is:
* Once a topic branch forks from "master", "master" is never
merged into it again (either directly or indirectly).
* Once a topic branch is fully cooked and merged into "master",
it is deleted. If you need to build on top of it to correct
earlier mistakes, a new topic branch is created by forking at
the tip of the "master". This is not strictly necessary, but
it makes it easier to keep your history simple.
* Whenever you need to test or publish your changes to topic
branches, merge them into "next" branch.
The script, being an example, hardcodes the publish branch name
to be "next", but it is trivial to make it configurable via
$GIT_DIR/config mechanism.
With this workflow, you would want to know:
(1) ... if a topic branch has ever been merged to "next". Young
topic branches can have stupid mistakes you would rather
clean up before publishing, and things that have not been
merged into other branches can be easily rebased without
affecting other people. But once it is published, you would
not want to rewind it.
(2) ... if a topic branch has been fully merged to "master".
Then you can delete it. More importantly, you should not
build on top of it -- other people may already want to
change things related to the topic as patches against your
"master", so if you need further changes, it is better to
fork the topic (perhaps with the same name) afresh from the
tip of "master".
Let's look at this example:
o---o---o---o---o---o---o---o---o---o "next"
/ / / /
/ a---a---b A / /
/ / / /
/ / c---c---c---c B /
/ / / \ /
/ / / b---b C \ /
/ / / / \ /
---o---o---o---o---o---o---o---o---o---o---o "master"
A, B and C are topic branches.
* A has one fix since it was merged up to "next".
* B has finished. It has been fully merged up to "master" and "next",
and is ready to be deleted.
* C has not merged to "next" at all.
We would want to allow C to be rebased, refuse A, and encourage
B to be deleted.
To compute (1):
git rev-list ^master ^topic next
git rev-list ^master next
if these match, topic has not merged in next at all.
To compute (2):
git rev-list master..topic
if this is empty, it is fully merged to "master".
DOC_END

View File

@ -0,0 +1,24 @@
#!/bin/sh
#
# An example hook script to make use of push options.
# The example simply echoes all push options that start with 'echoback='
# and rejects all pushes when the "reject" push option is used.
#
# To enable this hook, rename this file to "pre-receive".
if test -n "$GIT_PUSH_OPTION_COUNT"
then
i=0
while test "$i" -lt "$GIT_PUSH_OPTION_COUNT"
do
eval "value=\$GIT_PUSH_OPTION_$i"
case "$value" in
echoback=*)
echo "echo from the pre-receive-hook: ${value#*=}" >&2
;;
reject)
exit 1
esac
i=$((i + 1))
done
fi

View File

@ -0,0 +1,42 @@
#!/bin/sh
#
# An example hook script to prepare the commit log message.
# Called by "git commit" with the name of the file that has the
# commit message, followed by the description of the commit
# message's source. The hook's purpose is to edit the commit
# message file. If the hook fails with a non-zero status,
# the commit is aborted.
#
# To enable this hook, rename this file to "prepare-commit-msg".
# This hook includes three examples. The first one removes the
# "# Please enter the commit message..." help message.
#
# The second includes the output of "git diff --name-status -r"
# into the message, just before the "git status" output. It is
# commented because it doesn't cope with --amend or with squashed
# commits.
#
# The third example adds a Signed-off-by line to the message, that can
# still be edited. This is rarely a good idea.
COMMIT_MSG_FILE=$1
COMMIT_SOURCE=$2
SHA1=$3
/usr/bin/perl -i.bak -ne 'print unless(m/^. Please enter the commit message/..m/^#$/)' "$COMMIT_MSG_FILE"
# case "$COMMIT_SOURCE,$SHA1" in
# ,|template,)
# /usr/bin/perl -i.bak -pe '
# print "\n" . `git diff --cached --name-status -r`
# if /^#/ && $first++ == 0' "$COMMIT_MSG_FILE" ;;
# *) ;;
# esac
# SOB=$(git var GIT_COMMITTER_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
# git interpret-trailers --in-place --trailer "$SOB" "$COMMIT_MSG_FILE"
# if test -z "$COMMIT_SOURCE"
# then
# /usr/bin/perl -i.bak -pe 'print "\n" if !$first_line++' "$COMMIT_MSG_FILE"
# fi

View File

@ -0,0 +1,78 @@
#!/bin/sh
# An example hook script to update a checked-out tree on a git push.
#
# This hook is invoked by git-receive-pack(1) when it reacts to git
# push and updates reference(s) in its repository, and when the push
# tries to update the branch that is currently checked out and the
# receive.denyCurrentBranch configuration variable is set to
# updateInstead.
#
# By default, such a push is refused if the working tree and the index
# of the remote repository has any difference from the currently
# checked out commit; when both the working tree and the index match
# the current commit, they are updated to match the newly pushed tip
# of the branch. This hook is to be used to override the default
# behaviour; however the code below reimplements the default behaviour
# as a starting point for convenient modification.
#
# The hook receives the commit with which the tip of the current
# branch is going to be updated:
commit=$1
# It can exit with a non-zero status to refuse the push (when it does
# so, it must not modify the index or the working tree).
die () {
echo >&2 "$*"
exit 1
}
# Or it can make any necessary changes to the working tree and to the
# index to bring them to the desired state when the tip of the current
# branch is updated to the new commit, and exit with a zero status.
#
# For example, the hook can simply run git read-tree -u -m HEAD "$1"
# in order to emulate git fetch that is run in the reverse direction
# with git push, as the two-tree form of git read-tree -u -m is
# essentially the same as git switch or git checkout that switches
# branches while keeping the local changes in the working tree that do
# not interfere with the difference between the branches.
# The below is a more-or-less exact translation to shell of the C code
# for the default behaviour for git's push-to-checkout hook defined in
# the push_to_deploy() function in builtin/receive-pack.c.
#
# Note that the hook will be executed from the repository directory,
# not from the working tree, so if you want to perform operations on
# the working tree, you will have to adapt your code accordingly, e.g.
# by adding "cd .." or using relative paths.
if ! git update-index -q --ignore-submodules --refresh
then
die "Up-to-date check failed"
fi
if ! git diff-files --quiet --ignore-submodules --
then
die "Working directory has unstaged changes"
fi
# This is a rough translation of:
#
# head_has_history() ? "HEAD" : EMPTY_TREE_SHA1_HEX
if git cat-file -e HEAD 2>/dev/null
then
head=HEAD
else
head=$(git hash-object -t tree --stdin </dev/null)
fi
if ! git diff-index --quiet --cached --ignore-submodules $head --
then
die "Working directory has staged changes"
fi
if ! git read-tree -u -m "$commit"
then
die "Could not update working tree to new HEAD"
fi

View File

@ -0,0 +1,128 @@
#!/bin/sh
#
# An example hook script to block unannotated tags from entering.
# Called by "git receive-pack" with arguments: refname sha1-old sha1-new
#
# To enable this hook, rename this file to "update".
#
# Config
# ------
# hooks.allowunannotated
# This boolean sets whether unannotated tags will be allowed into the
# repository. By default they won't be.
# hooks.allowdeletetag
# This boolean sets whether deleting tags will be allowed in the
# repository. By default they won't be.
# hooks.allowmodifytag
# This boolean sets whether a tag may be modified after creation. By default
# it won't be.
# hooks.allowdeletebranch
# This boolean sets whether deleting branches will be allowed in the
# repository. By default they won't be.
# hooks.denycreatebranch
# This boolean sets whether remotely creating branches will be denied
# in the repository. By default this is allowed.
#
# --- Command line
refname="$1"
oldrev="$2"
newrev="$3"
# --- Safety check
if [ -z "$GIT_DIR" ]; then
echo "Don't run this script from the command line." >&2
echo " (if you want, you could supply GIT_DIR then run" >&2
echo " $0 <ref> <oldrev> <newrev>)" >&2
exit 1
fi
if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then
echo "usage: $0 <ref> <oldrev> <newrev>" >&2
exit 1
fi
# --- Config
allowunannotated=$(git config --type=bool hooks.allowunannotated)
allowdeletebranch=$(git config --type=bool hooks.allowdeletebranch)
denycreatebranch=$(git config --type=bool hooks.denycreatebranch)
allowdeletetag=$(git config --type=bool hooks.allowdeletetag)
allowmodifytag=$(git config --type=bool hooks.allowmodifytag)
# check for no description
projectdesc=$(sed -e '1q' "$GIT_DIR/description")
case "$projectdesc" in
"Unnamed repository"* | "")
echo "*** Project description file hasn't been set" >&2
exit 1
;;
esac
# --- Check types
# if $newrev is 0000...0000, it's a commit to delete a ref.
zero=$(git hash-object --stdin </dev/null | tr '[0-9a-f]' '0')
if [ "$newrev" = "$zero" ]; then
newrev_type=delete
else
newrev_type=$(git cat-file -t $newrev)
fi
case "$refname","$newrev_type" in
refs/tags/*,commit)
# un-annotated tag
short_refname=${refname##refs/tags/}
if [ "$allowunannotated" != "true" ]; then
echo "*** The un-annotated tag, $short_refname, is not allowed in this repository" >&2
echo "*** Use 'git tag [ -a | -s ]' for tags you want to propagate." >&2
exit 1
fi
;;
refs/tags/*,delete)
# delete tag
if [ "$allowdeletetag" != "true" ]; then
echo "*** Deleting a tag is not allowed in this repository" >&2
exit 1
fi
;;
refs/tags/*,tag)
# annotated tag
if [ "$allowmodifytag" != "true" ] && git rev-parse $refname > /dev/null 2>&1
then
echo "*** Tag '$refname' already exists." >&2
echo "*** Modifying a tag is not allowed in this repository." >&2
exit 1
fi
;;
refs/heads/*,commit)
# branch
if [ "$oldrev" = "$zero" -a "$denycreatebranch" = "true" ]; then
echo "*** Creating a branch is not allowed in this repository" >&2
exit 1
fi
;;
refs/heads/*,delete)
# delete branch
if [ "$allowdeletebranch" != "true" ]; then
echo "*** Deleting a branch is not allowed in this repository" >&2
exit 1
fi
;;
refs/remotes/*,commit)
# tracking branch
;;
refs/remotes/*,delete)
# delete tracking branch
if [ "$allowdeletebranch" != "true" ]; then
echo "*** Deleting a tracking branch is not allowed in this repository" >&2
exit 1
fi
;;
*)
# Anything else (is there anything else?)
echo "*** Update hook: unknown type of update to ref $refname of type $newrev_type" >&2
exit 1
;;
esac
# --- Finished
exit 0

Binary file not shown.

View File

@ -0,0 +1,6 @@
# git ls-files --others --exclude-from=.git/info/exclude
# Lines that start with '#' are comments.
# For a project mostly in C, the following would be a good set of
# exclude patterns (uncomment them if you want to use them):
# *.[oa]
# *~

View File

@ -0,0 +1 @@
0000000000000000000000000000000000000000 b1abdd54ba655ef34f75a568d78625981bf1722c Kasper J. Hermansen <contact@kjuulh.io> 1657178691 +0200 clone: from https://github.com/dexpota/kitty-themes.git

View File

@ -0,0 +1 @@
0000000000000000000000000000000000000000 b1abdd54ba655ef34f75a568d78625981bf1722c Kasper J. Hermansen <contact@kjuulh.io> 1657178691 +0200 clone: from https://github.com/dexpota/kitty-themes.git

View File

@ -0,0 +1 @@
0000000000000000000000000000000000000000 b1abdd54ba655ef34f75a568d78625981bf1722c Kasper J. Hermansen <contact@kjuulh.io> 1657178691 +0200 clone: from https://github.com/dexpota/kitty-themes.git

View File

@ -0,0 +1,2 @@
# pack-refs with: peeled fully-peeled sorted
b1abdd54ba655ef34f75a568d78625981bf1722c refs/remotes/origin/master

View File

@ -0,0 +1 @@
b1abdd54ba655ef34f75a568d78625981bf1722c

View File

@ -0,0 +1 @@
ref: refs/remotes/origin/master

View File

@ -0,0 +1 @@
b1abdd54ba655ef34f75a568d78625981bf1722c

View File

@ -0,0 +1,10 @@
---
name: theme-request
about: Use the following template if you want a new theme to be included in the collection.
title: Add <theme> to the collection.
labels: theme request
assignees: dexpota
---
Please, include **theme** in the collection. You can find it here: **url**

View File

@ -0,0 +1,9 @@
---
name: theme-request
about: Use the following template if you want a new theme to be included in the collection.
title: Add <theme> to the collection.
labels: theme request
assignees: dexpota
---
Please, include **theme** in the collection.

Binary file not shown.

After

Width:  |  Height:  |  Size: 153 KiB

View File

@ -0,0 +1,9 @@
# kitty-tools
> A bunch of useful scripts used to convert schemes and generate files.
## Process overview
1. Find a nice theme and check the licensing, is it possible to distribute the theme?
2. Generate the configuration file for **kitty**;
3. Add a new preview for the theme;
4. Update the README.md;

View File

@ -0,0 +1,30 @@
import json
from jinja2 import FileSystemLoader, Environment
import sys
import os
def removeAlpha(value):
hex = value.lstrip("#")
return "#" + hex[0:6]
filename = sys.argv[1]
kitty_configuration = os.path.splitext(filename)[0] + ".conf"
with open(filename, "r") as configuration_file:
configuration = json.load(configuration_file)
loader = FileSystemLoader(".")
env = Environment(loader=loader)
env.filters['removeAlpha'] = removeAlpha
env.trim_blocks = True
template = env.get_template("template.conf.j2")
output = template.render(**configuration)
with open(kitty_configuration, "w") as fp:
fp.write(output)

View File

@ -0,0 +1,26 @@
#!/bin/bash
#
# This file echoes a bunch of color codes to the
# terminal to demonstrate what's available. Each
# line is the color code of one forground color,
# out of 17 (default + 16 escapes), followed by a
# test use of that color on all nine background
# colors (default + 8 escapes).
#
T='gYw' # The test text
echo -e "\n 40m 41m 42m 43m\
44m 45m 46m 47m";
for FGs in ' m' ' 1m' ' 30m' '1;30m' ' 31m' '1;31m' ' 32m' \
'1;32m' ' 33m' '1;33m' ' 34m' '1;34m' ' 35m' '1;35m' \
' 36m' '1;36m' ' 37m' '1;37m';
do FG=${FGs// /}
echo -en " $FGs \033[$FG $T "
for BG in 40m 41m 42m 43m 44m 45m 46m 47m;
do echo -en "$EINS \033[$FG\033[$BG $T \033[0m";
done
echo;
done
echo

View File

@ -0,0 +1,57 @@
#!/usr/bin/swift
// main.swift
// nscolor
//
// Created by Fabrizio FD. Destro on 28/12/18.
// Copyright © 2018 Fabrizio FD. Destro. All rights reserved.
//
import Foundation
import AppKit
func hex(color: NSColor) -> String {
return String(format: "#%02x%02x%02x", Int(color.redComponent * 0xFF), Int(color.greenComponent * 0xFF), Int(color.blueComponent * 0xFF))
}
func process_color(field: String, data: Data) {
let color = NSKeyedUnarchiver.unarchiveObject(with: data) as! NSColor
print("\(field) \(hex(color: color))");
}
func generate_conf_line(field: String, key: String, dictionary: NSDictionary){
if let data = dictionary[key] {
process_color(field: field, data: data as! Data)
}
}
func process(filename: String) {
let plist = NSDictionary(contentsOfFile: filename)!
generate_conf_line(field: "background", key: "BackgroundColor", dictionary: plist)
generate_conf_line(field: "foreground", key: "TextColor", dictionary: plist)
generate_conf_line(field: "cursor", key: "CursorColor", dictionary: plist)
generate_conf_line(field: "selection_background", key: "SelectionColor", dictionary: plist)
generate_conf_line(field: "color0", key: "ANSIBlackColor", dictionary: plist)
generate_conf_line(field: "color8", key: "ANSIBrightBlackColor", dictionary: plist)
generate_conf_line(field: "color1", key: "ANSIRedColor", dictionary: plist)
generate_conf_line(field: "color9", key: "ANSIBrightRedColor", dictionary: plist)
generate_conf_line(field: "color2", key: "ANSIGreenColor", dictionary: plist)
generate_conf_line(field: "color10", key: "ANSIBrightGreenColor", dictionary: plist)
generate_conf_line(field: "color3", key: "ANSIYellowColor", dictionary: plist)
generate_conf_line(field: "color11", key: "ANSIBrightYellowColor", dictionary: plist)
generate_conf_line(field: "color4", key: "ANSIBlueColor", dictionary: plist)
generate_conf_line(field: "color12", key: "ANSIBrightBlueColor", dictionary: plist)
generate_conf_line(field: "color5", key: "ANSIMagentaColor", dictionary: plist)
generate_conf_line(field: "color13", key: "ANSIBrightMagentaColor", dictionary: plist)
generate_conf_line(field: "color6", key: "ANSICyanColor", dictionary: plist)
generate_conf_line(field: "color14", key: "ANSIBrightCyanColor", dictionary: plist)
generate_conf_line(field: "color7", key: "ANSIWhiteColor", dictionary: plist)
generate_conf_line(field: "color15", key: "ANSIBrightWhiteColor", dictionary: plist)
}
if (CommandLine.argc == 2) {
let filename = CommandLine.arguments[1]
process(filename: filename)
} else {
print("Missing plist's path.")
}

View File

@ -0,0 +1,5 @@
#!/usr/bin/env bash
theme=$1
jq ".colors | to_entries | map(select(.key | match(\"terminal.*\"))) | map({(.key | gsub(\"\\\\.(?<a>.)\"; .a | ascii_upcase) | ltrimstr(\"terminal\") | sub(\"(?<a>.)\"; .a | ascii_downcase)):.value}) | add" < "$theme" > "terminal/${theme%.*}.json"

View File

@ -0,0 +1,10 @@
#!/usr/bin/env bash
find ~/github/macos-terminal-themes/schemes/ -name "*.terminal" -print0 | while read -d $'\0' -r file; do
filename=`basename "$file"`
without_ext=${filename%.*}
removed_spaces=${without_ext// /_}
# output_filename=`echo ${removed_spaces} | tr '[:upper:]' '[:lower:]'`
echo ${removed_spaces}.conf
./convert_conf.swift "$file" > ./themes/${removed_spaces}.conf
done

View File

@ -0,0 +1,22 @@
#!/usr/bin/env bash
# This script generate all preview images for the themes
# In order to capture previews without the to bar start kitty without decorations
# kitty -o hide_window_decorations=yes
# shellcheck source=libcapture.sh
source libcapture.sh
# read theme path from args
id=$1
theme=$2
preview_filename=$3
conf_filename=$(basename "$theme")
lockfile=$(mktemp)
kitty @ set-colors --match id:"$id" "$theme"
kitty @ send-text --match id:"$id" "clear && figlet -f digital -t \"$conf_filename\" && unbuffer ./color_table.sh && rm \"$lockfile\"\n"
# simple sync mechanism, wait for the lockfile to be removed
( echo "$lockfile" | entr "false" 1>/dev/null 2>&1 ) || capture themes "$preview_filename"

View File

@ -0,0 +1,32 @@
#!/usr/bin/env bash
# This script generate all preview images for the themes
root="$(git rev-parse --show-toplevel)"
tools="$root/.tools"
PATH=$tools:$PATH
# new kitty window, return its id
id=$(kitty @ new-window --title themes --window-type os --cwd "$tools")
# start bash without reading the profile nor the configuration
kitty @ send-text --match id:"$id" "/usr/bin/env bash --noprofile --norc\n"
kitty @ set-font-size 24
# save all preview in this directory
previews="$root/_previews"
if [ ! -d "$previews" ]; then
mkdir "$previews"
fi
while read -r theme
do
echo "Genereting theme preview for $theme"
preview_directory=$previews/$(basename "${theme%.*}")
[ ! -d "$preview_directory" ] && mkdir "$preview_directory"
preview_filename=$previews/$(basename "${theme%.*}")/preview.png
generate_theme_preview.sh "$id" "$theme" "$preview_filename"
mogrify -resize 1024x\> "$preview_filename"
done < /dev/stdin
kitty @ close-window --match id:"$id"
kitty @ set-font-size 16

View File

@ -0,0 +1,23 @@
#!/usr/bin/env bash
function capture_linux() {
local title="$1"
local output="$2"
import -window "$title" "$output"
}
function capture_osx() {
local title="$1"
local output="$2"
# get system id of the new created window
sys_id=$(./windowid.swift "kitty" "$title")
screencapture -wl"$sys_id" "$output"
}
function capture() {
if [[ "$OSTYPE" == "linux-gnu" ]]; then
capture_linux "$@"
elif [[ "$OSTYPE" == "darwin"* ]]; then
capture_osx "$@"
fi
}

View File

@ -0,0 +1,15 @@
#!/usr/bin/env bash
previews_root=$1
# usually this value: https://raw.githubusercontent.com/dexpota/kitty-themes-website/master
url_root=$2
for f in $(find "$previews_root/previews" -maxdepth 1 -mindepth 1 -type d | sort); do
preview_file="$f"/preview.png
theme=$(basename $f)
relative_path=$(realpath --relative-to="$previews_root" "$preview_file")
header=`basename $theme | sed 's/_/ /g'`
image="![image]($url_root/$relative_path)"
echo \#\# $header
echo $image
done

View File

@ -0,0 +1,24 @@
#!/bin/bash
# @author: @vrdhn on github
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
cd $SCRIPT_DIR/..
set_theme () {
cat themes/$1.conf | awk 'BEGIN {printf("kitty @ set-colors ")} {printf( "%s=%s ",$1,$2 )} END{printf("\n")}' | sh
}
list=$(find themes -type f | grep "$1" | xargs basename | cut -d. -f1)
for x in $list ;
do
kitty +kitten icat "previews/$x.png"
read -n 1 -p "$x : Next / Set / Quit :" ans
echo
case $ans in
n ) ;;
s ) set_theme $x ; exit ;;
q ) exit ;;
esac
done

View File

@ -0,0 +1,20 @@
#!/usr/bin/swift
import Foundation
import Cocoa
import CoreGraphics.CGWindow
let windows : NSArray = CGWindowListCopyWindowInfo(CGWindowListOption.excludeDesktopElements, kCGNullWindowID)! as NSArray
let search_for_app = CommandLine.arguments[1]
let search_for_win = CommandLine.arguments[2]
for window in windows {
let window = window as! NSDictionary
let app_name = window[kCGWindowOwnerName] as! String
let window_name = window[kCGWindowName] as? String
if app_name == search_for_app && window_name == search_for_win {
print("\(window[kCGWindowNumber]!)")
}
}

View File

@ -0,0 +1,91 @@
from argparse import ArgumentParser
from svgwrite.shapes import Rect
import svgwrite
theme_keys = [
"foreground", "background", "background_opacity", "dynamic_background_opacity", "dim_opacity",
"selection_foreground", "selection_background", "color0", "color8", "color1", "color9", "color2", "color10",
"color3", "color11", "color4", "color12", "color5", "color13", "color6", "color14", "color7", "color15"
]
def is_valid(line):
"""
Returns true if a line inside a configuration file is a valid theme configuration pair: is not a comment, is not
empty and the key is correct.
:param line: a line inside the configuration file
:type line: str
:return: true if is valid, false otherwise
:rtype: bool
"""
return (not line.lstrip().startswith("#") # is not a comment
and len(line.strip()) != 0 # is not empty
and line.split(maxsplit=1)[0] in theme_keys) # key is a valid one
def extract_configuration_pair(line):
"""
Extract a configuration pair by splitting on spaces and taking the first couple of values.
:param line: a line inside the configuration file
:type line: str
:return: a key-value pair
:rtype: bool
"""
split = line.split(maxsplit=2)
return split[0], split[1]
def read_configuration(filename):
"""
Read a kitty configuration file and extract only theme related keys and values.
:param filename: path to the configuration file
:type filename: str
:return: a map with theme related configuration values
:rtype: dict[str, str]
"""
with open(filename, "r") as fp:
lines = fp.readlines()
print(filename)
theme_config = dict([extract_configuration_pair(line) for line in lines if is_valid(line)])
return theme_config
def draw_theme_palette(theme_configuration, start_point, size, displacement):
rects = []
for k, v in theme_configuration.items():
rgb = tuple(int(v[i + 1:i + 3], 16) for i in (0, 2, 4))
rects.append(Rect(start_point, size, fill=svgwrite.utils.rgb(rgb[0], rgb[1], rgb[2])))
start_point = (start_point[0] + displacement[0], start_point[1] + displacement[1])
return rects
def draw_all_palettes(themes):
dwg = svgwrite.Drawing('test.svg', profile='tiny')
y = 0
palettes = []
for theme in themes:
palettes += draw_theme_palette(theme, (0, y), (10, 10), (10, 0))
y += 10
for rect in palettes:
dwg.add(rect)
dwg.save()
def main():
parser = ArgumentParser()
parser.add_argument("theme", type=str, nargs="+")
ns = parser.parse_args()
theme_configurations = [read_configuration(theme) for theme in ns.theme]
draw_all_palettes(theme_configurations)
if __name__ == "__main__":
main()

View File

@ -0,0 +1,136 @@
import sys
import os
import sys
theme_keys = [
"cursor", "foreground", "background", "background_opacity", "dynamic_background_opacity", "dim_opacity",
"selection_foreground", "selection_background", "color0", "color8", "color1", "color9", "color2", "color10",
"color3", "color11", "color4", "color12", "color5", "color13", "color6", "color14", "color7", "color15"
]
def is_valid(line):
"""
Returns true if a line inside a configuration file is a valid theme configuration pair: is not a comment, is not
empty and the key is correct.
:param line: a line inside the configuration file
:type line: str
:return: true if is valid, false otherwise
:rtype: bool
"""
return (not line.lstrip().startswith("#") # is not a comment
and len(line.strip()) != 0 # is not empty
and line.split(maxsplit=1)[0] in theme_keys) # key is a valid one
def extract_configuration_pair(line):
"""
Extract a configuration pair by splitting on spaces and taking the first couple of values.
:param line: a line inside the configuration file
:type line: str
:return: a key-value pair
:rtype: bool
"""
split = line.split(maxsplit=2)
return split[0], split[1]
def read_configuration(filename):
"""
Read a kitty configuration file and extract only theme related keys and values.
:param filename: path to the configuration file
:type filename: str
:return: a map with theme related configuration values
:rtype: dict[str, str]
"""
with open(filename, "r") as fp:
lines = fp.readlines()
theme_config = dict([extract_configuration_pair(line) for line in lines if is_valid(line)])
return theme_config
def fg(color, text):
rgb = tuple(int(color[i + 1:i + 3], 16) for i in (0, 2, 4))
return ('\x1b[38;2;%s;%s;%sm' % rgb + text + '\x1b[0m')
def bg(color, text):
rgb = tuple(int(color[i + 1:i + 3], 16) for i in (0, 2, 4))
return ('\x1b[48;2;%s;%s;%sm' % rgb + text + '\x1b[0m')
def print_preview(filename, configuration):
cursor = configuration["cursor"]
background = configuration["background"]
foreground = configuration["foreground"]
theme = os.path.basename(filename)
size = len(theme) + (2 + 2 + 16 + 2 + 16 + 1 + 2)
print(bg(background, " " * size))
print(bg(background, " "), end="")
print(bg(background, fg(foreground, theme)), end="")
print(bg(background, " "), end="")
c='a'
for i in range(0, 16):
color = configuration["color%d" % i]
print(bg(background, fg(color, c)), end="")
c = chr(ord(c) + 1)
print(bg(background, " "), end="")
selection_background = configuration["selection_background"]
selection_foreground = configuration["selection_foreground"]
c='A'
for i in range(0, 16):
print(bg(selection_background, fg(selection_foreground, c)), end="")
c = chr(ord(c) + 1)
print(bg(cursor, " "), end="")
print(bg(background, " "))
print(bg(background, " " * size))
print(bg(background, " "), end="")
print(bg(configuration["color0"], " "), end="")
print(bg(configuration["color1"], " "), end="")
print(bg(configuration["color2"], " "), end="")
print(bg(configuration["color3"], " "), end="")
print(bg(configuration["color4"], " "), end="")
print(bg(configuration["color5"], " "), end="")
print(bg(configuration["color6"], " "), end="")
print(bg(configuration["color7"], " "), end="")
print(bg(background, " "), end="")
print(bg(configuration["color8"], " "), end="")
print(bg(configuration["color9"], " "), end="")
print(bg(configuration["color10"], " "), end="")
print(bg(configuration["color11"], " "), end="")
print(bg(configuration["color12"], " "), end="")
print(bg(configuration["color13"], " "), end="")
print(bg(configuration["color14"], " "), end="")
print(bg(configuration["color15"], " "), end="")
print(bg(background, " " * (size - 16 - 4)), end="")
print()
print(bg(background, " " * size))
print()
def main(directory):
for filename in os.listdir(directory):
try:
path = os.path.join(directory, filename)
configuration = read_configuration(path)
print_preview(path, configuration)
except Exception as e:
print(e, file=sys.stderr)
print("Error while processing %s" % filename, file=sys.stderr)
if __name__ == "__main__":
main(sys.argv[1])

View File

@ -0,0 +1,37 @@
background #
foreground #
cursor #
cursor_text_color #
selection_foreground #
selection_background #
# black
color0 #
color8 #
# red
color1 #
# light red
color9 #
# green
color2 #
# light green
color10 #
# yellow
color3 #
# light yellow
color11 #
# blue
color4 #
# light blue
color12 #
# magenta
color5 #
# light magenta
color13 #
# cyan
color6 #
# lighy cyan
color14 #
# light gray
color7 #
# dark gray
color15 #

View File

@ -0,0 +1,91 @@
{% if background is defined %}
background {{background}}
{% endif %}
{% if foreground is defined %}
foreground {{foreground}}
{% endif %}
{% if cursorForeground is defined %}
cursor {{cursorForeground}}
{% endif %}
{% if cursorBackground is defined %}
cursor_text_color {{cursorBackground | removeAlpha}}
{% endif %}
{% if background is defined %}
selection_foreground {{background | removeAlpha}}
{% endif %}
{% if selectionBackground is defined %}
selection_background {{selectionBackground | removeAlpha}}
{% endif %}
{% if ansiBlack is defined %}
# dull black
color0 {{ansiBlack}}
{% endif %}
{% if ansiBrightBlack is defined %}
# light black
color8 {{ansiBrightBlack}}
{% endif %}
{% if ansiRed is defined %}
# dull red
color1 {{ansiRed}}
{% endif %}
{% if ansiBrightRed %}
# light red
color9 {{ansiBrightRed}}
{% endif %}
{% if ansiGreen is defined %}
# dull green
color2 {{ansiGreen}}
{% endif %}
{% if ansiBrightGreen is defined %}
# light green
color10 {{ansiBrightGreen}}
{% endif %}
{% if ansiYellow is defined %}
# yellow
color3 {{ansiYellow}}
{% endif %}
{% if ansiBrightYellow is defined %}
# light yellow
color11 {{ansiBrightYellow}}
{% endif %}
{% if ansiBlue is defined %}
# blue
color4 {{ansiBlue}}
{% endif %}
{% if ansiBrightBlue %}
# light blue
color12 {{ansiBrightBlue}}
{% endif %}
{% if ansiMagenta is defined %}
# magenta
color5 {{ansiMagenta}}
{% endif %}
{% if ansiBrightMagenta is defined %}
# light magenta
color13 {{ansiBrightMagenta}}
{% endif %}
{% if ansiCyan is defined %}
# cyan
color6 {{ansiCyan}}
{% endif %}
{% if ansiBrightCyan is defined %}
# light cyan
color14 {{ansiBrightCyan}}
{% endif %}
{% if ansiWhite is defined %}
# dull white
color7 {{ansiWhite}}
{% endif %}
{% if ansiBrightWhite is defined %}
# bright white
color15 {{ansiBrightWhite}}
{% endif %}

View File

@ -0,0 +1,21 @@
background #f7f7f7
foreground #494542
cursor #494542
selection_background #a4a1a1
color0 #090200
color8 #5b5754
color1 #da2c20
color9 #e8bacf
color2 #00a152
color10 #3a3332
color3 #fcec02
color11 #494542
color4 #00a0e4
color12 #7f7c7b
color5 #a06994
color13 #d6d4d3
color6 #b5e4f4
color14 #ccab53
color7 #a4a1a1
color15 #f7f7f7
selection_foreground #f7f7f7

View File

@ -0,0 +1,21 @@
background #090200
foreground #a4a1a1
cursor #a4a1a1
selection_background #494542
color0 #090200
color8 #5b5754
color1 #da2c20
color9 #e8bacf
color2 #00a152
color10 #3a3332
color3 #fcec02
color11 #494542
color4 #00a0e4
color12 #7f7c7b
color5 #a06994
color13 #d6d4d3
color6 #b5e4f4
color14 #ccab53
color7 #a4a1a1
color15 #f7f7f7
selection_foreground #090200

View File

@ -0,0 +1,21 @@
background #1e1c44
foreground #f8dbc0
cursor #eebf37
selection_background #6f6a4e
color0 #050404
color8 #4e7bbf
color1 #bc0013
color9 #fc5e59
color2 #49b117
color10 #9dff6e
color3 #e6741d
color11 #efc11a
color4 #0f49c6
color12 #1896c6
color5 #665992
color13 #9a5952
color6 #6fa497
color14 #c8f9f3
color7 #f8dbc0
color15 #f5f4fb
selection_foreground #1e1c44

View File

@ -0,0 +1,21 @@
background #202020
foreground #d0d0d0
cursor #d0d0d0
selection_background #303030
color0 #151515
color8 #505050
color1 #ac4142
color9 #ac4142
color2 #7e8d50
color10 #7e8d50
color3 #e5b566
color11 #e5b566
color4 #6c99ba
color12 #6c99ba
color5 #9e4e85
color13 #9e4e85
color6 #7dd5cf
color14 #7dd5cf
color7 #d0d0d0
color15 #f5f5f5
selection_foreground #202020

View File

@ -0,0 +1,21 @@
background #0f160f
foreground #637d75
cursor #73f990
selection_background #1d4025
color0 #112615
color8 #3c4711
color1 #7f2b26
color9 #df8008
color2 #2f7e25
color10 #18e000
color3 #707f23
color11 #bde000
color4 #2f697f
color12 #00a9df
color5 #47577e
color13 #0058df
color6 #317f76
color14 #00dfc3
color7 #647d75
color15 #73f990
selection_foreground #0f160f

View File

@ -0,0 +1,21 @@
background #222330
foreground #cef3ff
cursor #ffffff
selection_background #44475a
color0 #000000
color8 #545454
color1 #ff5555
color9 #ff5454
color2 #fa0074
color10 #50fa7b
color3 #7f0a1f
color11 #f0fa8b
color4 #3282ff
color12 #1200f8
color5 #1b3cff
color13 #ff78c5
color6 #0037fc
color14 #8ae9fc
color7 #bbbbbb
color15 #ffffff
selection_foreground #222330

View File

@ -0,0 +1,26 @@
# Apprentice by Romain Lafourcade, https://github.com/romainl
# This work is licensed under the terms of the MIT license.
# For a copy, see https://opensource.org/licenses/MIT.
cursor #c7c7c7
cursor_text_color #feffff
selection_foreground #3e3e3e
selection_background #c1ddff
foreground #c8c8c8
background #323232
color0 #252525
color8 #555555
color1 #be7472
color9 #ff9900
color2 #709772
color10 #97bb98
color3 #989772
color11 #fefdbc
color4 #7199bc
color12 #9fbdde
color5 #727399
color13 #989abc
color6 #719899
color14 #6fbbbc
color7 #7f7f7f
color15 #feffff

View File

@ -0,0 +1,21 @@
background #0d0f18
foreground #fffaf3
cursor #ff0017
selection_background #002a3a
color0 #222222
color8 #444444
color1 #ff000f
color9 #ff273f
color2 #8ce00a
color10 #abe05a
color3 #ffb900
color11 #ffd141
color4 #008df8
color12 #0092ff
color5 #6c43a5
color13 #9a5feb
color6 #00d7eb
color14 #67ffef
color7 #ffffff
color15 #ffffff
selection_foreground #0d0f18

View File

@ -0,0 +1,21 @@
background #1c1c1c
foreground #ddeedd
cursor #e2bbef
selection_background #4d4d4d
color0 #3d352a
color8 #554444
color1 #cd5c5c
color9 #cc5533
color2 #86af80
color10 #88aa22
color3 #e8ae5b
color11 #ffa75d
color4 #6495ed
color12 #87ceeb
color5 #deb887
color13 #996600
color6 #b0c4de
color14 #b0c4de
color7 #bbaa99
color15 #ddccbb
selection_foreground #1c1c1c

View File

@ -0,0 +1,21 @@
background #202745
foreground #969cb3
cursor #969cb3
selection_background #5e6686
color0 #202745
color8 #6a7394
color1 #c84821
color9 #c76a28
color2 #ab9639
color10 #283256
color3 #c08a2f
color11 #5e6686
color4 #3d8ed0
color12 #898ea3
color5 #6678cc
color13 #dee1f0
color6 #21a1c8
color14 #9c6279
color7 #969cb3
color15 #f4f7ff
selection_foreground #202745

View File

@ -0,0 +1,21 @@
background #161718
foreground #c4c8c5
cursor #d0d0d0
selection_background #444444
color0 #000000
color8 #000000
color1 #fc5ef0
color9 #fc5ef0
color2 #86c38a
color10 #94f936
color3 #ffd6b1
color11 #f5ffa7
color4 #85befd
color12 #95cbfe
color5 #b9b5fc
color13 #b9b5fc
color6 #85befd
color14 #85befd
color7 #dfdfdf
color15 #dfdfdf
selection_foreground #161718

View File

@ -0,0 +1,21 @@
background #f8f8f8
foreground #2a2b33
cursor #bbbbbb
selection_background #ececec
color0 #000000
color8 #000000
color1 #de3d35
color9 #de3d35
color2 #3e953a
color10 #3e953a
color3 #d2b67b
color11 #d2b67b
color4 #2f5af3
color12 #2f5af3
color5 #950095
color13 #a00095
color6 #3e953a
color14 #3e953a
color7 #bbbbbb
color15 #ffffff
selection_foreground #f8f8f8

View File

@ -0,0 +1,21 @@
background #1b1d1e
foreground #6e6e6e
cursor #fcee0b
selection_background #4d4f4c
color0 #1b1d1e
color8 #505354
color1 #e6db43
color9 #fff68d
color2 #c8be46
color10 #fff27c
color3 #f3fd21
color11 #feed6c
color4 #737074
color12 #909495
color5 #737271
color13 #9a999d
color6 #615f5e
color14 #a2a2a5
color7 #c5c5be
color15 #dadad5
selection_foreground #1b1d1e

View File

@ -0,0 +1,21 @@
background #d4ccb9
foreground #45363b
cursor #45363b
selection_background #958b83
color0 #20111a
color8 #5e5252
color1 #bd100d
color9 #bd100d
color2 #858062
color10 #858062
color3 #e9a448
color11 #e9a448
color4 #416978
color12 #416978
color5 #96522b
color13 #96522b
color6 #98999c
color14 #98999c
color7 #958b83
color15 #d4ccb9
selection_foreground #d4ccb9

View File

@ -0,0 +1,21 @@
background #20111a
foreground #958b83
cursor #958b83
selection_background #45363b
color0 #20111a
color8 #5e5252
color1 #bd100d
color9 #bd100d
color2 #858062
color10 #858062
color3 #e9a448
color11 #e9a448
color4 #416978
color12 #416978
color5 #96522b
color13 #96522b
color6 #98999c
color14 #98999c
color7 #958b83
color15 #d4ccb9
selection_foreground #20111a

View File

@ -0,0 +1,21 @@
background #2a1e1d
foreground #dfdab7
cursor #573d25
selection_background #563c27
color0 #573d25
color8 #9a6b49
color1 #be2d26
color9 #e84526
color2 #6ba08a
color10 #94d7ba
color3 #e99c29
color11 #d0d04f
color4 #5a86ac
color12 #b8d3ed
color5 #ab80a6
color13 #d09dca
color6 #74a5ac
color14 #92ced6
color7 #dfdab7
color15 #fff9d4
selection_foreground #2a1e1d

View File

@ -0,0 +1,21 @@
background #0d1925
foreground #d9e5f1
cursor #d9e5f1
color0 #000000
color8 #252525
color1 #b87979
color9 #dabdbd
color2 #79b879
color10 #bddabd
color3 #b8b879
color11 #dadabd
color4 #7979b8
color12 #bdbdda
color5 #b879b8
color13 #dabdda
color6 #79b8b8
color14 #bddada
color7 #d9d9d9
color15 #ffffff
selection_foreground #0d1925
selection_background #d9e6f2

View File

@ -0,0 +1,21 @@
background #0000a3
foreground #ffff4d
cursor #ffa460
selection_background #a3a3a3
color0 #4e4e4e
color8 #7c7c7c
color1 #ff6b60
color9 #ffb6b0
color2 #a7ff60
color10 #ceffab
color3 #ffffb6
color11 #ffffcb
color4 #96cafd
color12 #b5dcfe
color5 #ff73fd
color13 #ff9cfe
color6 #c6c4fd
color14 #dfdffe
color7 #eeeeee
color15 #ffffff
selection_foreground #0000a3

View File

@ -0,0 +1,21 @@
background #191919
foreground #b2c8d6
cursor #f34a00
selection_background #b2c8d6
color0 #191919
color8 #191919
color1 #ff355b
color9 #ff355b
color2 #b6e875
color10 #b6e875
color3 #ffc150
color11 #ffc150
color4 #75d3ff
color12 #75d4ff
color5 #b975e6
color13 #b975e6
color6 #6cbeb5
color14 #6cbeb5
color7 #c1c8d6
color15 #c1c8d6
selection_foreground #191919

View File

@ -0,0 +1,21 @@
background #2b2b2b
foreground #e5e1db
cursor #ffffff
selection_background #5a637e
color0 #000000
color8 #323232
color1 #da4839
color9 #ff7b6a
color2 #509f50
color10 #83d082
color3 #ffd249
color11 #ffff7b
color4 #6d9cbd
color12 #9fcef0
color5 #cfcfff
color13 #ffffff
color6 #6d9cbd
color14 #a0cef0
color7 #ffffff
color15 #ffffff
selection_foreground #2b2b2b

View File

@ -0,0 +1,21 @@
background #131313
foreground #d6dae4
cursor #b9b9b9
selection_background #1f1f1f
color0 #1f1f1f
color8 #d6dae4
color1 #f71118
color9 #de342e
color2 #2cc55d
color10 #1dd260
color3 #ecb90f
color11 #f2bd09
color4 #2a84d2
color12 #0f80d5
color5 #4e59b7
color13 #524fb9
color6 #0f80d5
color14 #0f7cda
color7 #d6dae4
color15 #ffffff
selection_foreground #131313

View File

@ -0,0 +1,21 @@
background #40318d
foreground #7869c4
cursor #7869c4
selection_background #7869c4
color0 #090300
color8 #000000
color1 #883932
color9 #883932
color2 #55a049
color10 #55a049
color3 #bfce72
color11 #bfce72
color4 #40318d
color12 #40318d
color5 #8b3f96
color13 #8a3e95
color6 #67b6bd
color14 #67b6bd
color7 #ffffff
color15 #f7f7f7
selection_foreground #40318d

View File

@ -0,0 +1,21 @@
background #ffffff
foreground #262626
cursor #6fd2fc
selection_background #6fd2fc
color0 #000000
color8 #545753
color1 #f72729
color9 #fb0416
color2 #32895c
color10 #2cc631
color3 #f96f1c
color11 #fcd627
color4 #125ccf
color12 #156ffe
color5 #9f00bc
color13 #e800b0
color6 #32c2c0
color14 #39d5ce
color7 #b2b2b2
color15 #ededec
selection_foreground #ffffff

View File

@ -0,0 +1,21 @@
background #2b2c2e
foreground #d2d8d9
cursor #708183
selection_background #e3e8ed
color0 #7c8a8f
color8 #888888
color1 #b23a51
color9 #f24840
color2 #789a69
color10 #80c46f
color3 #b9ab4a
color11 #ffeb62
color4 #2a7fac
color12 #4095ff
color5 #bc4f5a
color13 #fb5175
color6 #44a799
color14 #52ccbd
color7 #d2d8d9
color15 #d2d8d9
selection_foreground #2b2c2e

View File

@ -0,0 +1,21 @@
background #29262f
foreground #d9e6f2
cursor #d9e6f2
selection_background #073642
color0 #000000
color8 #323232
color1 #c37372
color9 #dbaaaa
color2 #72c373
color10 #aadbaa
color3 #c2c372
color11 #dadbaa
color4 #7372c3
color12 #aaaadb
color5 #c372c2
color13 #dbaada
color6 #72c2c3
color14 #aadadb
color7 #d9d9d9
color15 #ffffff
selection_foreground #29262f

View File

@ -0,0 +1,21 @@
background #181c27
foreground #ada37a
cursor #91805a
selection_background #172539
color0 #181818
color8 #555555
color1 #800009
color9 #ab3834
color2 #48513b
color10 #a6a65d
color3 #cc8a3e
color11 #dcde7b
color4 #566d8c
color12 #2f97c6
color5 #724c7c
color13 #d33060
color6 #5b4f4a
color14 #f3dab1
color7 #ada37e
color15 #f3f3f3
selection_foreground #181c27

View File

@ -0,0 +1,21 @@
background #122637
foreground #ffffff
cursor #f0cb09
selection_background #18344f
color0 #000000
color8 #545454
color1 #ff0000
color9 #f40d17
color2 #37dd21
color10 #3bcf1d
color3 #fee409
color11 #ecc809
color4 #1460d2
color12 #5555ff
color5 #ff005d
color13 #ff55ff
color6 #00bbbb
color14 #6ae3f9
color7 #bbbbbb
color15 #ffffff
selection_foreground #122637

View File

@ -0,0 +1,21 @@
background #142838
foreground #8ff586
cursor #c4206f
selection_background #084fb0
color0 #142630
color8 #fff688
color1 #ff2320
color9 #d4312e
color2 #3aa5ff
color10 #8ff586
color3 #e9e75c
color11 #e9f06d
color4 #8ff586
color12 #3c7dd2
color5 #781aa0
color13 #8230a7
color6 #8ff586
color14 #6cbc67
color7 #ba45b1
color15 #8ff586
selection_foreground #142838

View File

@ -0,0 +1,21 @@
background #140607
foreground #685259
cursor #685259
selection_background #2a1a1c
color0 #2a1a1c
color8 #3c2a2e
color1 #90002a
color9 #c5245c
color2 #579523
color10 #8dff56
color3 #aa301b
color11 #c7371d
color4 #8b87af
color12 #cfc9ff
color5 #682e50
color13 #fb6cb9
color6 #e8a766
color14 #ffceae
color7 #685259
color15 #af949d
selection_foreground #140607

View File

@ -0,0 +1,21 @@
background #000000
foreground #ffffff
cursor #bbbbbb
selection_background #b5d5ff
color0 #000000
color8 #545454
color1 #ff5555
color9 #ff5555
color2 #55ff55
color10 #55ff55
color3 #ffff55
color11 #ffff55
color4 #5555ff
color12 #5555ff
color5 #ff55ff
color13 #ff55ff
color6 #55ffff
color14 #55ffff
color7 #bbbbbb
color15 #ffffff
selection_foreground #000000

View File

@ -0,0 +1,21 @@
background #212324
foreground #b9b9b9
cursor #bbbbbb
selection_background #2f3333
color0 #000000
color8 #000000
color1 #e8331c
color9 #df5a4f
color2 #68c156
color10 #76b768
color3 #f1d32b
color11 #eed64a
color4 #1c98e8
color12 #387bd2
color5 #8e69c8
color13 #957bbd
color6 #1c98e8
color14 #3d96e2
color7 #b9b9b9
color15 #b9b9b9
selection_foreground #212324

View File

@ -0,0 +1,21 @@
background #333333
foreground #ffffff
cursor #00ff00
selection_background #b5d5ff
color0 #4d4d4d
color8 #545454
color1 #ff2b2b
color9 #ff5555
color2 #98fb98
color10 #55ff55
color3 #f0e68c
color11 #ffff55
color4 #cd853f
color12 #87ceff
color5 #ffdead
color13 #ff55ff
color6 #ffa0a0
color14 #ffd700
color7 #f5deb3
color15 #ffffff
selection_foreground #333333

View File

@ -0,0 +1,21 @@
background #1e1e1e
foreground #b8bcb9
cursor #f83d19
selection_background #292c31
color0 #3a3c43
color8 #888987
color1 #be3e48
color9 #fb001e
color2 #869a3a
color10 #0e712e
color3 #c4a535
color11 #c37033
color4 #4e76a1
color12 #176ce3
color5 #855b8d
color13 #fb0067
color6 #568ea3
color14 #2d6f6c
color7 #b8bcb9
color15 #fcffb8
selection_foreground #1e1e1e

View File

@ -0,0 +1,21 @@
background #252b35
foreground #eaeaea
cursor #d9002f
selection_background #194080
color0 #181818
color8 #181818
color1 #bf081d
color9 #bf081d
color2 #3d9751
color10 #3d9751
color3 #f6bb33
color11 #f6bb33
color4 #16b1df
color12 #16b1df
color5 #772fb0
color13 #772fb0
color6 #8bd1ed
color14 #8bd1ed
color7 #ffffff
color15 #ffffff
selection_foreground #252b35

View File

@ -0,0 +1,58 @@
# https://draculatheme.com/kitty
#
# Installation instructions:
#
# cp dracula.conf ~/.config/kitty/
# echo "include dracula.conf" >> ~/.config/kitty/kitty.conf
#
# Then reload kitty for the config to take affect.
# Alternatively copy paste below directly into kitty.conf
foreground #f8f8f2
background #282a36
selection_foreground #44475a
selection_background #f8f8f2
url_color #ffb86c
# black
color0 #21222c
color8 #6272a4
# red
color1 #ff5555
color9 #ff6e6e
# green
color2 #50fa7b
color10 #69ff94
# yellow
color3 #f1fa8c
color11 #ffffa5
# blue
color4 #bd93f9
color12 #d6acff
# magenta
color5 #ff79c6
color13 #ff92df
# cyan
color6 #8be9fd
color14 #a4ffff
# white
color7 #f8f8f2
color15 #ffffff
# Cursor colors
cursor #f8f8f2
cursor_text_color background
# Tab bar colors
active_tab_foreground #282a36
active_tab_background #bd93f9
inactive_tab_foreground #f8f8f2
inactive_tab_background #44475a

View File

@ -0,0 +1,21 @@
background #422553
foreground #c4c8c5
cursor #c4c8c5
selection_background #008aff
color0 #2b283d
color8 #413e53
color1 #ae0000
color9 #d3a624
color2 #3e7c54
color10 #aaaaaa
color3 #f0c75e
color11 #716254
color4 #415baf
color12 #946a2c
color5 #9445ae
color13 #b294ba
color6 #008aff
color14 #25de50
color7 #850000
color15 #c9c9c9
selection_foreground #422553

View File

@ -0,0 +1,21 @@
background #1f1c27
foreground #b6a0ff
cursor #ff9738
selection_background #353146
color0 #1f1c27
color8 #353146
color1 #d8393d
color9 #d8393d
color2 #2dcc72
color10 #2dcc72
color3 #d8b76e
color11 #d8b76e
color4 #ffc183
color12 #ffc183
color5 #dd8d40
color13 #dd8d40
color6 #2388ff
color14 #2388ff
color7 #b6a0ff
color15 #e9e4ff
selection_foreground #1f1c27

View File

@ -0,0 +1,21 @@
background #000000
foreground #00a595
cursor #bbbbbb
selection_background #00a48c
color0 #000000
color8 #545454
color1 #9f0000
color9 #ff0000
color2 #008b00
color10 #00ee00
color3 #ffcf00
color11 #ffff00
color4 #0081ff
color12 #0000ff
color5 #bc00ca
color13 #ff00ff
color6 #008b8b
color14 #00cdcd
color7 #bbbbbb
color15 #ffffff
selection_foreground #000000

View File

@ -0,0 +1,21 @@
background #282420
foreground #e5c6a8
cursor #f6f6ec
selection_background #111417
color0 #111417
color8 #665e54
color1 #c84134
color9 #ff6459
color2 #84c44b
color10 #97e035
color3 #f4ae2e
color11 #dfd561
color4 #1397b9
color12 #5ed9ff
color5 #d0623c
color13 #ff9168
color6 #4f9452
color14 #83ef88
color7 #e5c5a9
color15 #f6f6ec
selection_foreground #282420

View File

@ -0,0 +1,21 @@
background #21211c
foreground #807973
cursor #facb7f
selection_background #403729
color0 #3c3b30
color8 #545444
color1 #97280f
color9 #df502a
color2 #479942
color10 #60e06f
color3 #7f7110
color11 #d69827
color4 #497f7d
color12 #78d8d8
color5 #7e4e2e
color13 #cd7c53
color6 #387f58
color14 #58d598
color7 #807974
color15 #fff1e8
selection_foreground #21211c

View File

@ -0,0 +1,27 @@
# Theme ported from the Mac Terminal application.
background #323232
foreground #ffffff
cursor #d6d6d6
selection_background #5b5b5b
selection_foreground #323232
color0 #353535
color8 #535353
color1 #d25252
color9 #f00c0c
color2 #a4c161
color10 #c1df74
color3 #ffc56d
color11 #e1e48a
color4 #6c99ba
color12 #8ab6d9
color5 #d096d9
color13 #efb5f7
color6 #bdd6ff
color14 #dbf4ff
color7 #ededec
color15 #ffffff
active_tab_foreground #ffffff
active_tab_background #535353
inactive_tab_foreground #ffffff
inactive_tab_background #353535

View File

@ -0,0 +1,21 @@
background #2a211c
foreground #b8a898
cursor #ffffff
selection_background #c3dcff
color0 #000000
color8 #545753
color1 #cc0000
color9 #ef2828
color2 #1a921c
color10 #9aff87
color3 #efe43a
color11 #fffa5c
color4 #0066ff
color12 #43a8ed
color5 #c5656b
color13 #ff8089
color6 #05989a
color14 #34e2e2
color7 #d3d7cf
color15 #ededec
selection_foreground #2a211c

View File

@ -0,0 +1,21 @@
background #282f32
foreground #dad9df
cursor #d35f5a
selection_background #eeb7ab
color0 #282f32
color8 #092027
color1 #ca1d2c
color9 #d35f5a
color2 #edb7ab
color10 #d35f5a
color3 #b7aa9a
color11 #a86571
color4 #2e78c1
color12 #7c84c4
color5 #c0226e
color13 #5b5db2
color6 #309185
color14 #81908f
color7 #e9e2cd
color15 #fcf4de
selection_foreground #282f32

View File

@ -0,0 +1,21 @@
background #222436
foreground #eceffd
cursor #fdcd5e
selection_background #fcf6e8
color0 #03063c
color8 #6c5a30
color1 #c60049
color9 #d94a8a
color2 #abf157
color10 #daffa8
color3 #fdcd5e
color11 #fee6a8
color4 #525fb8
color12 #b1bdf9
color5 #976f81
color13 #fda4cc
color6 #968662
color14 #a4bc86
color7 #eceffc
color15 #f6ffec
selection_foreground #222436

Some files were not shown because too many files have changed in this diff Show More